#####################################################################################################
#
# This file is for reference only, changes have no effect on the generated interface implementations.
#
#####################################################################################################

# Id: 1
# Level: INFO
# Message: Getting details of %s of %s
# @param 1: savedStateName - 
# @param 2: path - 
historyDetails=\u83B7\u53D6 %2$s \u7684 %1$s \u7684\u8BE6\u60C5
# Id: 2
# Level: INFO
# Message: Listing history of %s
# @param 1: path - 
listHistory=\u5217\u51FA %1$s \u7684\u5386\u53F2\u8BB0\u5F55
# Id: 3
# Level: INFO
# Message: Reverting %s to %s
# @param 1: installationPath - 
# @param 2: savedStateName - 
revertStarted=\u5C06 %1$s \u6062\u590D\u5230 %2$s
# Id: 4
# Level: INFO
# Message: Reverted %s to %s
# @param 1: installationPath - 
# @param 2: savedStateName - 
revertCompleted=\u5C06 %1$s \u6062\u590D\u5230 %2$s
# Id: 5
# Level: INFO
# Message: Building revert candidate for %s
# @param 1: installationPath - 
revertCandidateStarted=\u4E3A %1$s \u6784\u5EFA\u6062\u590D\u5019\u9009
# Id: 6
# Level: INFO
# Message: Revert candidate generated in %s
# @param 1: installationPath - 
revertCandidateCompleted=\u5728 %1$s \u4E2D\u751F\u6210\u7684\u6062\u590D\u5019\u9009
# Id: 7
# Level: DEBUG
# Message: Created temporary candidate folder %s
# @param 1: tempPath - 
temporaryCandidateFolder=\u521B\u5EFA\u4E34\u65F6\u5019\u9009\u6587\u4EF6\u5939 %1$s
# Id: 8
# Level: INFO
# Message: Performing update of %s
# @param 1: installaPath - 
performUpdateStarted=\u6267\u884C %1$s \u66F4\u65B0
# Id: 9
# Level: INFO
# Message: Aborting update - no updates found for %s
# @param 1: installationPath - 
noUpdatesFound=\u4E2D\u6B62\u66F4\u65B0 - \u672A\u627E\u5230 %1$s \u7684\u66F4\u65B0
# Id: 10
# Level: INFO
# Message: Building update candidate for %s
# @param 1: installationPath - 
updateCandidateStarted=\u4E3A %1$s \u6784\u5EFA\u66F4\u65B0\u5019\u9009
# Id: 11
# Level: INFO
# Message: Update candidate generated in %s
# @param 1: installationPath - 
updateCandidateCompleted=\u5728 %1$s \u4E2D\u751F\u6210\u7684\u66F4\u65B0\u5019\u9009
# Id: 12
# Level: INFO
# Message: Checking available updates
checkingUpdates=\u68C0\u67E5\u53EF\u7528\u66F4\u65B0
# Id: 13
# Level: INFO
# Message: Found %d updates
# @param 1: count - 
updatesFound=\u627E\u5230 %1$d \u66F4\u65B0
# Id: 14
# Level: INFO
# Message: Adding channel %s
# @param 1: channel - 
addingChannel=\u6DFB\u52A0\u9891\u9053 %1$s
# Id: 15
# Level: WARN
# Message: Channel %s already exists
# @param 1: channelName - 
existingChannel=\u9891\u9053 %1$s \u5DF2\u5B58\u5728
# Id: 16
# Level: INFO
# Message: Channel %s added
# @param 1: channelName - 
channelAdded=\u6DFB\u52A0\u4E86\u9891\u9053 %1$s
# Id: 17
# Level: INFO
# Message: Removing channel %s
# @param 1: channelName - 
removingChannel=\u5220\u9664\u9891\u9053 %1$s
# Id: 19
# Level: INFO
# Message: Channel removed %s
# @param 1: channelName - 
channelRemoved=\u5DF2\u5220\u9664\u9891\u9053 %1$s
# Id: 20
# Level: INFO
# Message: Updating channel %s as %s
# @param 1: channelDesc - 
# @param 2: channelName - 
updatingChannel=\u5C06\u9891\u9053 %1$s \u66F4\u65B0\u4E3A %2$s
# Id: 21
# Level: INFO
# Message: Channel %s updated
# @param 1: channelName - 
channelUpdated=\u9891\u9053 %1$s \u5DF2\u66F4\u65B0
# Id: 22
# Level: INFO
# Message: Listing subscribed channels
listChannels=\u5217\u51FA\u8BA2\u9605\u7684\u9891\u9053
# Id: 23
# Level: INFO
# Message: Starting phase: [%s] %s
# @param 1: name - 
# @param 2: count - 
startedPhase=\u542F\u52A8\u9636\u6BB5\uFF1A[%1$s] %2$s
# Id: 24
# Level: INFO
# Message: Completed phase: [%s] %s
# @param 1: name - 
# @param 2: count - 
completedPhase=\u5B8C\u6210\u9636\u6BB5\uFF1A[%1$s] %2$s
# Id: 25
# Level: INFO
# Message: Applying %s candidate from %s
# @param 1: operationName - 
# @param 2: updateDir - 
applyingCandidate=\u4ECE %2$s \u4E2D\u5E94\u7528 %1$s \u5019\u9009
# Id: 26
# Level: INFO
# Message: Changed artifacts [%s]
# @param 1: changes - 
candidateChanges=\u5DF2\u66F4\u6539\u7684\u5DE5\u4EF6 [%1$s]
# Id: 27
# Level: INFO
# Message: No conflicts found.
noCandidateConflicts=\u672A\u627E\u5230\u51B2\u7A81\u3002
# Id: 28
# Level: INFO
# Message: File conflicts found: [%s]
# @param 1: conflicts - 
candidateConflicts=\u627E\u5230\u7684\u6587\u4EF6\u51B2\u7A81\uFF1A[%1$s]
# Id: 29
# Level: INFO
# Message: %s candidate applied to %s
# @param 1: operation - 
# @param 2: installationDir - 
candidateApplied=%1$s \u5019\u9009\u5E94\u7528\u5230 %2$s
# Id: 30
# Level: INFO
# Message: Starting provisioning into %s
# @param 1: installDir - 
startingProvision=\u5F00\u59CB\u7F6E\u5907\u5230 %1$s
# Id: 31
# Level: INFO
# Message: Server provisioned into %s
# @param 1: installDir - 
provisioningComplete=\u670D\u52A1\u5668\u7F6E\u5907\u5230 %1$s
# Id: 200
# Message: Aborting update - the server appears to be running.
serverRunningError=\u4E2D\u6B62\u66F4\u65B0 - \u670D\u52A1\u5668\u6B63\u5728\u8FD0\u884C\u3002
# Id: 201
# Message: Given path '%s' is a regular file. An empty directory or a non-existing path must be given.
# @param 1: path - 
dirMustBeDirectory=\u6307\u5B9A\u7684\u8DEF\u5F84 '%1$s' \u662F\u4E00\u4E2A\u5E38\u89C4\u6587\u4EF6\u3002\u9700\u8981\u6307\u5B9A\u4E00\u4E2A\u7A7A\u76EE\u5F55\u6216\u6CA1\u6709\u5B58\u5728\u7684\u8DEF\u5F84\u3002
# Id: 202
# Message: Invalid channel manifest definition
invalidManifest=\u65E0\u6548\u7684\u9891\u9053\u6E05\u5355\u5B9A\u4E49
# Id: 203
# Message: Can't install into a non empty directory '%s'. Use `update` command if you want to modify existing installation.
# @param 1: path - 
cannotInstallIntoNonEmptyDirectory=\u65E0\u6CD5\u5B89\u88C5\u5230\u975E\u7A7A\u76EE\u5F55 '%1$s' \u4E2D\u3002\u5982\u679C\u8981\u4FEE\u6539\u73B0\u6709\u5B89\u88C5\uFF0C\u8BF7\u4F7F\u7528 'update' \u547D\u4EE4\u3002
# Id: 204
# Message: Installation dir '%s' doesn't exist
# @param 1: path - 
installationDirDoesNotExist=\u5B89\u88C5\u76EE\u5F55 '%1$s' \u4E0D\u5B58\u5728
# Id: 205
# Message: Installation dir '%s' already exists
# @param 1: installDir - 
installationDirAlreadyExists=\u5B89\u88C5\u76EE\u5F55 '%1$s' \u5DF2\u5B58\u5728
# Id: 206
# Message: Given configuration doesn't reference any channel or channel manifest.
noChannelReference=\u7ED9\u5B9A\u7684\u914D\u7F6E\u6CA1\u6709\u5F15\u7528\u4EFB\u4F55\u9891\u9053\u6216\u9891\u9053\u6E05\u5355\u3002
# Id: 207
# Message: Invalid channel: Channel '%s' doesn't reference a manifest.
# @param 1: name - 
noChannelManifestReference=\u65E0\u6548\u7684\u9891\u9053\uFF1A\u9891\u9053 '%1$s' \u6CA1\u6709\u5F15\u7528\u6E05\u5355\u3002
# Id: 208
# Message: Pre-defined FPL [%s] doesn't specify any channels and no explicit channels were given.
# @param 1: fpl - 
fplDefinitionDoesntContainChannel=\u9884\u5B9A\u4E49\u7684 FPL [%1$s] \u6CA1\u6709\u6307\u5B9A\u4EFB\u4F55\u9891\u9053\uFF0C\u4E14\u6CA1\u6709\u663E\u793A\u7ED9\u51FA\u9891\u9053\u3002
# Id: 209
# Message: Channel '%s' is already present.
# @param 1: channelName - 
channelExists=\u9891\u9053 '%1$s' \u5DF2\u5B58\u5728\u3002
# Id: 210
# Message: Channel with name [%s] cannot be found.
# @param 1: channelName - 
channelNotFound=\u65E0\u6CD5\u627E\u5230\u540D\u4E3A [%1$s] \u7684\u9891\u9053\u3002
# Id: 211
# Message: Channel name cannot be empty.
emptyChannelName=\u9891\u9053\u540D\u79F0\u4E0D\u80FD\u4E3A\u7A7A\u3002
# Id: 212
# Message: Promoting artifacts to %s:
# @param 1: targetRepository - 
promotingArtifacts=\u5C06\u5DE5\u4EF6\u63D0\u5347\u5230 %1$s:
# Id: 213
# Message: Unable to parse server configuration at '%s'
# @param 1: path - 
unableToParseConfiguration=\u65E0\u6CD5\u5728 '%1$s' \u89E3\u6790\u670D\u52A1\u5668\u914D\u7F6E
# Id: 214
# Message: Unable to parse server configuration at '%s'
# @param 1: uri - 
unableToParseConfigurationUri=\u65E0\u6CD5\u5728 '%1$s' \u89E3\u6790\u670D\u52A1\u5668\u914D\u7F6E
# Id: 215
# Message: Unable to read file at [%s]
# @param 1: path - 
unableToReadFile=\u65E0\u6CD5\u5728 [%1$s] \u8BFB\u6587\u4EF6
# Id: 216
# Message: The installation at %s is not a valid update for %s
# @param 1: update - 
# @param 2: installation - 
invalidUpdateCandidate=\u5728 %1$s \u7684\u5B89\u88C5\u5BF9\u4E8E %2$s \u4E0D\u518D\u662F\u4E00\u4E2A\u6709\u6548\u7684\u5B89\u88C5
# Id: 217
# Message: Unable to save server configuration at '%s'
# @param 1: path - 
unableToSaveConfiguration=\u65E0\u6CD5\u5728 '%1$s' \u4FDD\u5B58\u670D\u52A1\u5668\u914D\u7F6E
# Id: 218
# Message: Unable to close the update store.
unableToCloseStore=\u65E0\u6CD5\u5173\u95ED\u66F4\u65B0\u5B58\u50A8\u3002
# Id: 219
# Message: Unable to create history store at [%s]
# @param 1: path - 
unableToCreateHistoryStorage=\u65E0\u6CD5\u5728 [%1$s] \u521B\u5EFA\u5386\u53F2\u8BB0\u5F55\u5B58\u50A8
# Id: 220
# Message: Provided metadata bundle [%s] is missing one or more entries
# @param 1: path - 
incompleteMetadataBundle=\u63D0\u4F9B\u7684\u5143\u6570\u636E\u6346\u7ED1\u5305 [%1$s] \u7F3A\u5C11\u4E00\u4E2A\u6216\u591A\u4E2A\u6761\u76EE
# Id: 221
# Message: Unable to write file at [%s]
# @param 1: path - 
unableToWriteFile=\u65E0\u6CD5\u5728 [%1$s] \u5199\u6587\u4EF6
# Id: 222
# Message: Path `%s` does not contain a server installation provisioned by prospero.
# @param 1: path - 
invalidInstallationDir=\u8DEF\u5F84 '%1$s' \u4E0D\u5305\u542B\u7531 prospero \u7F6E\u5907\u7684\u670D\u52A1\u5668\u5B89\u88C5\u3002
# Id: 223
# Message: Unable to access history store at [%s]
# @param 1: path - 
unableToAccessHistoryStorage=\u65E0\u6CD5\u8BBF\u95EE [%1$s] \u7684\u5386\u53F2\u8BB0\u5F55\u5B58\u50A8
# Id: 224
# Message: Unable to download file
unableToDownloadFile=\u65E0\u6CD5\u4E0B\u8F7D\u6587\u4EF6
# Id: 225
# Message: Unable to create temporary cache for provisioning cache folder.
unableToCreateCache=\u65E0\u6CD5\u4E3A\u7F6E\u5907\u7F13\u5B58\u6587\u4EF6\u5939\u521B\u5EFA\u4E34\u65F6\u7F13\u5B58\u3002
# Id: 226
# Message: Failed to initiate maven repository system
failedToInitMaven=\u542F\u52A8 maven \u5B58\u50A8\u5E93\u7CFB\u7EDF\u5931\u8D25
# Id: 227
# Message: Unable to find required stream definitions
streamNotFound=\u65E0\u6CD5\u627E\u5230\u6240\u9700\u7684\u6D41\u5B9A\u4E49
# Id: 228
# Message: Unable to resolve artifact
unableToResolve=\u65E0\u6CD5\u89E3\u6790\u5DE5\u4EF6
# Id: 229
# Message: Invalid URL [%s]
# @param 1: text - 
invalidUrl=\u65E0\u6548\u7684 URL [%1$s]
# Id: 230
# Message: Incomplete configuration: If the FPL is not one of predefined names (%s) a channel must be given.
# @param 1: availableFpls - 
predefinedFplOrChannelRequired=\u4E0D\u5B8C\u6574\u7684\u914D\u7F6E\uFF1A\u5982\u679C FPL \u4E0D\u662F\u67D0\u4E2A\u9884\u5B9A\u4E49\u7684\u540D\u79F0 (%1$s)\uFF0C\u5219\u5FC5\u987B\u6307\u5B9A\u4E00\u4E2A\u9891\u9053\u3002
# Id: 231
# Message: Incomplete configuration: neither FPL nor Galleon provisioning config was given.
fplNorGalleonConfigWereSet=\u914D\u7F6E\u4E0D\u5B8C\u6574\uFF1A\u6CA1\u6709\u6307\u5B9A FPL \u6216 Galleon \u7F6E\u5907\u914D\u7F6E\u3002
# Id: 232
# Message: Found unexpected artifact [%s]
# @param 1: gav - 
unexpectedArtifact=\u627E\u5230\u610F\u5916\u7684\u5DE5\u4EF6 [%1$s]
# Id: 233
# Message: File already exists [%s]
# @param 1: path - 
fileAlreadyExists=\u6587\u4EF6\u5DF2\u5B58\u5728 [%1$s]
# Id: 234
# Message: Promoting to non-file repositories is not currently supported
unsupportedPromotionTarget=\u76EE\u524D\u4E0D\u652F\u6301\u63D0\u5347\u5230\u975E\u6587\u4EF6\u5B58\u50A8\u5E93
# Id: 235
# Message: Wrong format of custom channel version [%s]
# @param 1: baseVersion - 
wrongVersionFormat=\u81EA\u5B9A\u4E49\u9891\u9053\u7248\u672C\u683C\u5F0F\u9519\u8BEF [%1$s]
# Id: 236
# Message: Custom channel version exceeded limit [%s]
# @param 1: baseVersion - 
versionLimitExceeded=\u81EA\u5B9A\u4E49\u9891\u9053\u7248\u672C\u8D85\u8FC7\u9650\u5236 [%1$s]
# Id: 237
# Message: Cannot create bundle without artifacts.
noArtifactsToPackage=\u65E0\u6CD5\u5728\u6CA1\u6709\u5DE5\u4EF6\u7684\u60C5\u51B5\u4E0B\u521B\u5EFA\u6346\u7ED1\u5305\u3002
# Id: 238
# Message: Channel reference has to use Maven GA.
nonMavenChannelRef=\u9891\u9053\u5F15\u7528\u5FC5\u987B\u4F7F\u7528 Maven GA\u3002
# Id: 239
# Message: Unable to promote artifacts to [%s].
# @param 1: target - 
unableToPromote=\u65E0\u6CD5\u5C06\u5DE5\u4EF6\u63D0\u5347\u5230 [%1$s]\u3002
# Id: 240
# Message: Unable to parse the customization bundle [%s].
# @param 1: path - 
unableToParseCustomizationBundle=\u65E0\u6CD5\u89E3\u6790\u81EA\u5B9A\u4E49\u6346\u7ED1\u5305 [%1$s]\u3002
# Id: 241
# Message: At least one repository must be set when using the manifest option.
repositoriesMustBeSetWithManifest=\u5728\u4F7F\u7528 manifest \u9009\u9879\u65F6\uFF0C\u5FC5\u987B\u81F3\u5C11\u8BBE\u7F6E\u4E00\u4E2A\u5B58\u50A8\u5E93\u3002
# Id: 242
# Message: Out file [%s] exists already!
# @param 1: outPath - 
outFileExists=out \u6587\u4EF6 [%1$s] \u5DF2\u5B58\u5728!
# Id: 243
# Message: Installation metadata is exported to [%s].
# @param 1: outPath - 
installationExported=\u5B89\u88C5\u5143\u6570\u636E\u88AB\u5BFC\u51FA\u5230 [%1$s]\u3002
# Id: 244
# Message: Malformed URL in substituted value : %s from %s
# @param 1: substituted - 
# @param 2: url - 
invalidPropertySubstitutionValue=\u66FF\u6362\u503C\u4E2D\u7684 URL \u683C\u5F0F\u9519\u8BEF : \u6765\u81EA %2$s \u7684 %1$s
# Id: 245
# Message: The requested state %s does not exist in server's history.
# @param 1: name - 
savedStateNotFound=\u5728\u670D\u52A1\u5668\u7684\u5386\u53F2\u8BB0\u5F55\u4E2D\u6CA1\u6709\u8BF7\u6C42\u7684\u72B6\u6001 %1$s\u3002
# Id: 246
# Message: Unable to create temporary directory
unableToCreateTemporaryDirectory=\u65E0\u6CD5\u521B\u5EFA\u4E34\u65F6\u76EE\u5F55
# Id: 247
# Message: Invalid channel definition
invalidChannel=\u65E0\u6548\u7684\u9891\u9053\u5B9A\u4E49
# Id: 248
# Message: Provided feature pack location has invalid format `%s`. Expected <groupId:artifactId>
# @param 1: fplText - 
invalidFpl=\u63D0\u4F9B\u7684\u529F\u80FD\u8F6F\u4EF6\u5305\u4F4D\u7F6E\u5177\u6709\u65E0\u6548\u7684\u683C\u5F0F '%1$s'\u3002\u9884\u671F\u7684\u683C\u5F0F\u4E3A <groupId:artifactId>
# Id: 249
# Message: Unrecognized profile %s, did you mean one of [%s]
# @param 1: profileName - 
# @param 2: options - 
unknownInstallationProfile=\u65E0\u6CD5\u8BC6\u522B\u7684\u914D\u7F6E\u96C6 %1$s\uFF0C\u60A8\u662F\u5426\u6307 [%2$s] \u5176\u4E2D\u7684\u4E00\u4E2A
# Id: 250
# Message: Invalid candidate marker file [%s]. Missing required field [%s].
# @param 1: resolve - 
# @param 2: operationProperty - 
invalidCandidateMarker=\u65E0\u6548\u7684\u5019\u9009\u6807\u8BB0\u6587\u4EF6 [%1$s]\u3002\u7F3A\u5931\u5FC5\u9700\u7684\u5B57\u6BB5 [%2$s]\u3002
# Id: 251
# Message: Unexpected operation type [%s] in the candidate marker file.
# @param 1: operation - 
invalidMarkerFileOperation=\u5019\u9009\u6807\u8BB0\u6587\u4EF6\u4E2D\u610F\u5916\u7684\u64CD\u4F5C\u7C7B\u578B [%1$s]\u3002
# Id: 252
# Message: Invalid metadata bundle [%s]. Expected a ZIP archive containing installation configuration.
# @param 1: path - 
invalidMetadataBundle=\u65E0\u6548\u7684\u5143\u6570\u636E\u6346\u7ED1\u5305 [%1$s]\u3002\u9884\u671F\u662F\u4E00\u4E2A\u5305\u62EC\u4E86\u5B89\u88C5\u914D\u7F6E\u7684 ZIP \u5B58\u6863\u3002

